Search

GlobalSCAPE Knowledge Base

How do the Microsoft Security changes affect Globalscape?

Karla Marsh
EFT

TLDR; Microsoft disabled TLS 1.1 and below along with Basic Authentication on Exchange. EFT and AWE(Automate 10) both are largely unaffected with the TLS changes and OAuth is coming to EFT and Automate.

​This information also applies to AWS TLS changes.

TLS 1.0 and 1.1 Deprecation 

Q. How do the TLS changes found in this article (Disabling TLS 1.0 and 1.1 for Microsoft 365) affect 

Globalscape’s EFT? 

A. TLS 1.2 has been supported by EFT’s client SSL library for many years. EFT is not Affected by these changes. 

Globalscape’s AWE? 

A. AWE(Automate 10) uses SChannel. This means that it relies on the Windows operating system instead of its own SSL library. This means you likely will be affected on Deprecated versions of Windows such as Windows Server 2008 and Windows Server 2012. There are methods to change the default protocol version in these operating systems. You can find a Microsoft article of how to do that here.

 

Basic Auth Deprecation 

Q. How do the Basic Auth changes found in this article (Deprecation of Basic authentication in Exchange Online) affect… 

 Globalscape’s EFT? 

A. EFT will support OAuth for SMTP in the 2023 Q3 release. 

Globalscape’s AWE? 

A. AWE will support OAuth for SMTP in the 2023 Q3 release. 

 

Details
Last Modified: 6 Months Ago
Last Modified By: jbranan
Type: FAQ
Article not rated yet.
Article has been viewed 17K times.
Options
Also In This Category
Tags